import ActionModel from '../ActionModel'
import { BasePageAN, } from '../constants'
import { BasePageStateM, } from '../../models/stateModels'
 

const initialState: BasePageStateM = {

}


var reducer = function(state = initialState, action: ActionModel)
{
    let { payload } = action

    switch(action.type)
    {
        case BasePageAN.SET_STATE:
            return { ...state, ...payload }
    }

    return state
}

export default reducer
